Skip to content

Get brokerage instruction history

GET
/v2/brokerage/history

Get brokerage instruction history.

To retrieve all instructions across all subaccounts, make this request for your main account and specify includeSubAccounts=true as a query parameter.

To retrieve all instructions for a particular subaccount, make this request using the X-VALR-SUB-ACCOUNT-ID header. Please see the Account / Subaccounts section for more information.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters

Query Parameters

skip

Skip this number of results. Default 0.

Type
integer
Format
"int32"
limit

Limit the results to this number. Default and Max 100.

Type
integer
Format
"int32"
includeSubAccounts

If true, brokerage instruction history will be returned for the main account and all the subaccounts. Default false.

Type
boolean

Responses

Brokerage instruction history retrieved successfully

application/json
JSON
[
{
"identifier": "48657a89-5ff6-483c-a8d4-e8a1d0648fb4",
"orderId": "de689cf3-f667-4104-905b-2fdb439618bc",
"transferId": "377573",
"accountId": 0,
"feeAccountId": 1311349150067826700,
"requestedPayAmount": "100",
"actualPayAmount": "99.99857355",
"payCurrency": "ZAR",
"receiveCurrency": "XRP",
"receiveAmount": "75.544",
"feeRate": "0.01",
"feeCurrency": "XRP",
"feeAmount": "0.75544",
"customerOrderId": "brokerage-order-01",
"createdAt": 1739378546678,
"status": "COMPLETED",
"leg1TradeFeeAmount": "0.0314130",
"leg1TradeFeeCurrency": "USDT",
"leg2TradeFeeAmount": "0.456",
"leg2TradeFeeCurrency": "XRP"
}
]

Playground

Authorization
Variables
Key
Value

Samples